
Redmine - Feature #8579

Multiple file upload with HTML5 / Drag-and-Drop

2011-06-10 00:05 - Jim Mitchener

Status: Closed Start date: 2011-06-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed   

Description

It would be nice to upload multiple files via selecting more than one file at a time in the file selector or having drag-and-drop. This

could be implemented with the following example.

http://www.centurion-project.org/articles/html5-multiple-file-upload-with-progress-bar

I will likely come up with a patch for this in the next day or so.

Related issues:

Related to Redmine - Feature #10352: Preview should already display the fresh... Closed

Has duplicate Redmine - Feature #10132: Upload attachments via drag and drop Closed

Has duplicate Redmine - Feature #11590: Multiple files attachment at once Closed

Has duplicate Redmine - Feature #4785: Request for Drag and Drop feature for ... Closed 2010-02-10

Has duplicate Redmine - Feature #9065: Allow to add multiple files to issue f... Closed 2011-08-16

Has duplicate Redmine - Feature #6942: Upload files from a folder Closed 2010-11-19

Associated revisions

Revision 10977 - 2012-12-10 21:09 - Jean-Philippe Lang

Merged ajax_upload branch (#3957).

History

#1 - 2011-06-10 10:00 - Etienne Massip

- Assignee deleted (Jim Mitchener)

#2 - 2011-07-27 16:26 - Terence Mill

Should be optional, because some browsers don't support html so far

#3 - 2011-08-08 07:20 - Vitaly Sergeev

Jim Mitchener wrote:

I will likely come up with a patch for this in the next day or so.

 We need your patch.

Where I can get it?

#4 - 2011-09-09 15:28 - Daniel Marino

Is there an update on this ticket? I also think this would be a very nice feature for Redmine... I often have to upload multiple files at a time on a single

issue.

HTML5 Drag and Drop would be nice, but I don't it's necessary. It would be a step forward just to have another anchor tag for multiple file upload that

triggers a javascript prompt asking how many files you'd like to upload, and have it show that many file input fields.

#5 - 2011-09-22 01:29 - Anonymous

+1 for drag-and-drop

The answer to this:

http://stackoverflow.com/questions/2657653/drag-and-drop-file-upload-in-google-chrome-chromium-and-safari

2025-05-17 1/5

http://www.centurion-project.org/articles/html5-multiple-file-upload-with-progress-bar
http://stackoverflow.com/questions/2657653/drag-and-drop-file-upload-in-google-chrome-chromium-and-safari


...looks promising.

Though I never knew you could just drag and file onto any old file upload input control.  That's cool.  And honestly, kinda makes the whole HTML5

drag-and-drop file craziness seem a little underwhelming.

#6 - 2011-12-17 07:37 - Paul Mureev

+1 for drag-and-drop (Regsitred to do this post)

It is extrimly time consuming to add multiple files to the wiki page or regular ticket.

I believe this part of HTML5 supported by latest versions of all browsers already.

Google mail do this way a long ago.

Please add to the next release.

#7 - 2011-12-17 14:01 - Etienne Massip

- Target version set to Candidate for next major release

#8 - 2011-12-19 08:10 - Paul Mureev

2 Etienne.

Thanks man.

You know this feature is one that most of users will use every day. The rest features are also important and helpful, but they will be used not so often

or not so many number of people.

Looking forward to see this feature in next release.

#9 - 2012-01-25 14:57 - Loïs PUIG

What about plUpload ?

http://www.plupload.com

I personaly use it and it is very scalable as he's using many runtimes :

Allows you to upload files using HTML5 Gears, Silverlight, Flash, BrowserPlus or normal forms, providing some 

unique features such as upload progress, image resizing and chunked uploads.

#10 - 2012-02-02 16:21 - Hisham Al-Shurafa

+1 would love this feature

#11 - 2012-03-01 16:52 - Max Azarenko

+1 Good idea

#12 - 2012-03-14 19:39 - Pavel Vorobiev

A necessary feature, please include in the next release!

#13 - 2012-05-02 14:40 - V M

+1

#14 - 2012-05-22 23:28 - ex vito

Quick feedback:

The summary says "Multiple file upload with HTML5 / Drag-and-Drop".

I hope it comes to include the "upload progress feedback" feature of the linked example in the description.

This way, #5889 and #3957 would be closed as well. :)

#15 - 2012-06-21 13:28 - Paul Mureev

hardly waiting

#16 - 2012-07-21 20:46 - Pavel Kholyavkin

looking forward to use this feature!

#17 - 2012-07-31 22:57 - Hisham Al-Shurafa
Safari 6.0 now supports drag and drop on file upload buttons. I just tested it on redmine and it works great. So this ticket is now a mute point if you are

using Safari 6.0. And I bet other browsers will follow.

#18 - 2012-08-01 07:22 - Paul Mureev

This ticket not for paste single file path to file edit box.

You know if you copy some file from email attachment, this will not work

It is really required to MULTIPLE copy paste files, and start upload immidiatly to save daily effort.

#19 - 2012-08-08 11:52 - Gurvan Le Dromaguet

+1

#20 - 2012-08-08 13:43 - Cassiano Monteiro

+1!

#21 - 2012-08-09 19:34 - Mark nelson

+1

#22 - 2012-08-10 10:37 - Paps 1

+1 for drag and drop

#23 - 2012-08-20 21:44 - Allan Story de Almeida Martins

+ 1 for drag and drop

#24 - 2012-09-24 11:52 - Paweł Maruszczyk

+1

#25 - 2012-09-24 12:20 - Daniel Felix

+1

#26 - 2012-09-28 16:11 - Rodrigo Merola Winterhalter

+1

#27 - 2012-10-21 22:21 - Anthony BOUQUET

+1

#28 - 2012-11-24 13:06 - Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.3.0

#29 - 2012-12-05 11:09 - Egidijus Zideckas

Thanks, and +1

#30 - 2012-12-11 10:12 - Etienne Massip

This feature has been implemented and merged into trunk with r10977 but would require some feedback from the community if you can to make sure

it doesn't break with some browser versions we've not been able to test with.

Thanks for your time if you can!

#31 - 2013-01-12 09:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

#32 - 2013-03-20 06:51 - Andrey Evdokimov

this feature not added into 2.3-stable :(

#33 - 2013-03-20 09:23 - Etienne Massip

Andrey Evdokimov wrote:

this feature not added into 2.3-stable :(
 Yes it is. Please note that it won't work with browsers not supporting multiple file upload like IE9.

#34 - 2013-03-20 20:25 - Maik Lindner

Multiple files upload works. Thank you very much. But drag'n'drop does NOT work in 2.3-stable. Tried Firefox 19.0.2 and Chrome 25.0.1364.172 m.

Sorry, my fault!! Dropped it in the text box and not on the file button. Works like charme now!!

#35 - 2013-03-21 10:47 - Andrey Evdokimov

Thanks guys, you were right. Cause of error - "Redmine Attach Screenshot" - http://www.redmine.org/plugins/redmine_attach_screenshot_2

#36 - 2013-05-08 21:38 - Sławomir Kaimakami

Tell us more, how to use it drag and drop feature?

I tried many ways in Chrome, but it does not work for me. Where exactly should I drop the file? To what text field? Should I be in edit or in view page

of issue?

#37 - 2013-05-08 21:40 - Sławomir Kaimakami

Sorry -my mistake.

I was using version 2.2, not 2.3.

#38 - 2013-05-13 08:08 - YongKi Kim

- File _form.html.erb added

[WARNING]

Redmine Attach Screenshot causes error on ajax upload feature. I googled all sites, but there were no clue. Finally I digged workround by myself!! I

want to share this joy with yours.

For workaround please copy attached hot-patch to the directory :

plugins\redmine_inline_attach_screenshot\app\views\attachments

#39 - 2013-06-12 01:14 - Filou Centrinov

- Has duplicate Feature #9065: Allow to add multiple files to issue from one file browser window added

#40 - 2013-07-25 05:42 - Matthew Houston

YONGKI  HONG Kim  - You are the greatest,  I had just upgraded to 2.3.2 last night and the complaints were already coming in.  This patch worked

as described.

1. Stopped Redmine (Thin) service

2. Copy new patched file

3. Restart service

Working great!  Loving the new file add functionality.

Using Redmine 2.3.2 with the latest inline_screenshot plugin

#41 - 2013-09-17 19:50 - William Roush

YongKi Kim wrote:

[WARNING]

Redmine Attach Screenshot causes error on ajax upload feature. I googled all sites, but there were no clue. Finally I digged workround by

myself!! I want to share this joy with yours.

For workaround please copy attached hot-patch to the directory :

plugins\redmine_inline_attach_screenshot\app\views\attachments

 Sorry about not getting that patch there, I really need to see about getting this plugin to properly use hooks instead of replacing the entire view. :\

Even if I had to do something nasty like a Javascript swap out to get it into the right spot on the page, better than this version compatibility issue.

#42 - 2014-10-28 14:22 - Pavel Potcheptsov

After upgrade to 2.6.0 users reported they they couldn't attach files with drag and drop in Chrome browser.

But in Firefox it still works.
#43 - 2016-01-15 15:58 - Go MAEDA

- Has duplicate Feature #6942: Upload files from a folder added

Files

_form.html.erb 5.43 KB 2013-05-13 YongKi Kim
